Bug 437440 - [as-IN] Consonant combination breaks in rawhide
[as-IN] Consonant combination breaks in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 03:29 EDT by Amitakhya Phukan
Modified: 2008-04-07 21:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.3.4-11.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 21:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Right rendering (151.16 KB, image/jpeg)
2008-03-14 03:41 EDT, Amitakhya Phukan
no flags Details
Wrong rendering (197.69 KB, image/jpeg)
2008-03-14 03:41 EDT, Amitakhya Phukan
no flags Details
This patch created against qt-x11-opensource-src-4.3.4 (1.07 KB, patch)
2008-03-26 03:04 EDT, Pravin Satpute
no flags Details | Diff
Patch for assamese bug 437440 against qt-x11-opensource-src-4.3.4.tar.gz (1.76 KB, patch)
2008-04-02 09:11 EDT, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Amitakhya Phukan 2008-03-14 03:29:37 EDT
Description of problem:
I find that consonant for character "ra" Unicode U+09F0 breaks in latest rawhide.

Version-Release number of selected component (if applicable):
qt4 : qt4-4.3.4-5.fc9

How reproducible:
Always

Steps to Reproduce:
1. Open kate or kwrite or kaider and try to write combinations like U+0995
U+09CD U+09F0.
2. You can see the characters don't combine, it breaks.
3.
  
Actual results:
The consonant combinations break

Expected results:
The consonant combinations should not break.

Additional info:
I have tested the double and triple combinations of U+09F0 only. More test
updates I will put here. Bengali and assamese use the same font file,
lohit-bengali. Whereas bengali combinations don't break, assamese combinations
break. Also, the combinations don't break in GNOME applications.
Comment 1 Amitakhya Phukan 2008-03-14 03:41:17 EDT
Created attachment 298021 [details]
Right rendering
Comment 2 Amitakhya Phukan 2008-03-14 03:41:47 EDT
Created attachment 298022 [details]
Wrong rendering
Comment 3 Amitakhya Phukan 2008-03-14 06:29:10 EDT
the characters given in the attachments can be typed in assamese phonetic
keyboard as follows :

1. n/f/r
2. k/r
3. r/k

aalam, hopefully this will help you.
Comment 4 Kevin Kofler 2008-03-14 06:34:06 EDT
Do you know what version it last worked with? Is this something which was 
always broken in Qt 4 or a recent regression?
Comment 5 Amitakhya Phukan 2008-03-14 06:39:36 EDT
kevin, i just tested it today and hence i don't know about previous versions of
qt 4. also, i mostly work with stable releases and hence this problem was
unknown to me even if it existed in previous fedora rawhide.
Comment 6 Amitakhya Phukan 2008-03-14 06:40:31 EDT
aalam, the characters that are going to be displayed are as follows :

1. n/f/r : ন্ত্ৰ
2. k/r : ক্ৰ
3. r/k : ৰ্ক
Comment 7 A S Alam 2008-03-14 06:50:09 EDT
Thanks Amit, it is help a lot
Comment 8 Rex Dieter 2008-03-14 10:41:54 EDT
If this is something that requires upstream attention (and fixes), a better
approach would be to report this to trolltech:
http://trolltech.com/developer/bugreport-form
Comment 9 A S Alam 2008-03-16 23:27:59 EDT
yes, it is upstreamed with bug:#203028
Comment 10 Pravin Satpute 2008-03-20 07:25:46 EDT
same bug was filed for qt3 also 209972
Comment 11 Pravin Satpute 2008-03-26 03:04:22 EDT
Created attachment 299105 [details]
This patch created against qt-x11-opensource-src-4.3.4

this patch change script_base ra to 0x09f0 whenever script will be assamese,
and also change 0x09f0's Indicposition to Below as per requirement.
Comment 12 Ngo Than 2008-03-26 07:28:01 EDT
Pravin, thanks for the patch. I already sent the patch to qt-bugs so that it's 
included in next release version.
Comment 13 Amitakhya Phukan 2008-03-28 02:14:33 EDT
Hi!
I tested the patch with Pravin in his demo program.

1. U+0995 U+09Cd U+09F0 works fine

I noticed,

1. U+09F0 U+09CD U+0995  breaks.

I hope the fix will come soon.
Comment 14 Pravin Satpute 2008-03-28 04:42:21 EDT
sorry than, i think still some work need on patch
Comment 15 Ngo Than 2008-03-28 06:02:41 EDT
Pravin, could you please take a look at this? thanks
Comment 16 Pravin Satpute 2008-03-28 06:11:19 EDT
Ngo, sure
i am working on it, soon i will submit perfect patch
Comment 17 Pravin Satpute 2008-04-02 09:11:03 EDT
Created attachment 300060 [details]
Patch for assamese bug 437440 against qt-x11-opensource-src-4.3.4.tar.gz

This patch will solve the problem of assamese reph. It changes ra from 0x09b0
to 0x09f0 whenever assamese characters ra will come in syllable.
Comment 18 Kevin Kofler 2008-04-07 21:49:55 EDT
Thanks, I updated the patch in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.